//
// Buttons
// --------------------------------------------------

.btn {
  font-size: @font-size-base;
  min-width: fit-content;
}

.admin-action-btn {
  margin: 2px;
}

.background-btn {
  color: @white-on-gigadb-green;
  background: @color-gigadb-green;
  font-weight: bold;
  &:hover {
    color: @white-on-gigadb-green;
    background: @color-gigadb-green-800;
  }
  &:focus {
    color: @white-on-gigadb-green;
    outline-offset: 2px;
    outline: solid 2px @color-gigadb-green;
  }
}
.background-btn-o {
  color: @color-gigadb-green;
  background: @color-true-white;
  border: 1px @color-gigadb-green solid;
}
.background-btn-o {
  &:focus {
    color: @color-gigadb-green;
    outline-offset: 2px;
    outline: solid 2px @color-gigadb-green;
  }
  &:hover {
    color: @color-true-white;
    background: @color-gigadb-green;
  }
}

.danger-btn {
  color: @color-true-white;
  background-color: @color-brand-danger-650;
  font-weight: bold;
  &:focus {
    color: @color-true-white;
    outline-offset: 2px;
    outline: solid 2px @color-brand-danger-650;
  }
  &:hover {
    color: @color-true-white;
    background-color: @color-brand-danger-800;
  }
}

.danger-btn-o {
  color: @brand-danger-on-white;
  background: @color-true-white;
  border: 1px @brand-danger-on-white solid;
  &:focus {
    color: @brand-danger-on-white;
    outline-offset: 2px;
    outline: solid 2px @brand-danger-on-white;
  }
  &:hover {
    color: @color-true-white;
    background: @brand-danger-on-white;
  }
}

.btns-row {
  margin-block: 4px;
  display: flex;
  gap: 8px;
  flex-wrap: wrap;
  align-items: center;
}
.btns-row-center {
  justify-content: center;
}
.btns-row-end {
  justify-content: flex-end;
}

.btns-col {
  display: flex;
  flex-direction: column;
  gap: 6px;
}

// Deprecated style
.btn-green {
  background: @color-lighter-gray;
  background: -webkit-gradient(
    linear,
    0 0,
    0 bottom,
    from(@color-lighter-gray),
    to(#dddddd)
  );
  background: -webkit-linear-gradient(@color-lighter-gray, #dddddd);
  background: -moz-linear-gradient(@color-lighter-gray, #dddddd);
  background: -ms-linear-gradient(@color-lighter-gray, #dddddd);
  background: -o-linear-gradient(@color-lighter-gray, #dddddd);
  background: linear-gradient(@color-lighter-gray, #dddddd);
  -pie-background: linear-gradient(@color-lighter-gray, #dddddd);
  behavior: url(/css/PIE.htc);
  font-weight: bold;
  border: 0;
  text-shadow: none;
  color: @color-darker-gray;
  text-decoration: none;
  box-shadow: 0 0 0;
  position: relative;
  z-index: 1;
  display: inline-block;
  *display: inline;
  *zoom: 1;
  padding: 4px 10px 4px;
  margin-bottom: 0;
  font-size: 13px;
  line-height: 18px;
  *line-height: 20px;
  color: @color-warm-black;
  text-align: center;
  text-shadow: 0 1px 1px rgba(255, 255, 255, 0.75);
  vertical-align: middle;
  cursor: pointer;
  background-color: @color-lighter-gray;
  background-image: -moz-linear-gradient(
    top,
    @color-true-white,
    @color-light-gray
  );
  background-image: -ms-linear-gradient(
    top,
    @color-true-white,
    @color-light-gray
  );
  background-image: -webkit-gradient(
    linear,
    0 0,
    0 100%,
    from(@color-true-white),
    to(@color-light-gray)
  );
  background-image: -webkit-linear-gradient(
    top,
    @color-true-white,
    @color-light-gray
  );
  background-image: -o-linear-gradient(
    top,
    @color-true-white,
    @color-light-gray
  );
  background-image: linear-gradient(top, @color-true-white, @color-light-gray);
  background-repeat: repeat-x;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='@color-true-whitefff', endColorstr='@color-light-gray', GradientType=0);
  border-color: @color-light-gray @color-light-gray @color-medium-gray;
  border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
  *background-color: @color-light-gray;
  filter: progid:DXImageTransform.Microsoft.gradient(enabled = false);
  border: 1px solid #ccc;
  *border: 0;
  border-bottom-color: @color-medium-gray;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
  *margin-left: 0.3em;
  -webkit-box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.2),
    0 1px 2px rgba(0, 0, 0, 0.05);
  -moz-box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.2),
    0 1px 2px rgba(0, 0, 0, 0.05);
  box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.2),
    0 1px 2px rgba(0, 0, 0, 0.05);
  border-color: #ccc;
  border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
  color: @color-true-white;
  border: 0;
  background: #a5cc7e;
  background: -webkit-gradient(
    linear,
    0 0,
    0 bottom,
    from(#a5cc7e),
    to(#6ea23a)
  );
  background: -webkit-linear-gradient(#a5cc7e, #6ea23a);
  background: -moz-linear-gradient(#a5cc7e, #6ea23a);
  background: -ms-linear-gradient(#a5cc7e, #6ea23a);
  background: -o-linear-gradient(#a5cc7e, #6ea23a);
  background: linear-gradient(#a5cc7e, #6ea23a);
  -pie-background: linear-gradient(#a5cc7e, #6ea23a);
  behavior: url(/css/PIE.htc);
  text-decoration: none;
  text-shadow: none !important;
  box-shadow: 0 0 0;
  position: relative;
  z-index: 1;
}
.btn-green:hover,
.btn-green:active,
.btn-green.active,
.btn-green.disabled,
.btn-green[disabled] {
  background-color: @color-light-gray;
  *background-color: @color-medium-gray;
}
.btn-green:active,
.btn-green.active {
  background-color: @color-medium-gray \9;
}
.btn-green:first-child {
  *margin-left: 0;
}
.btn-green:hover {
  text-decoration: none;
  color: @color-true-white;
  background: @color-patina-green;
  background: -webkit-gradient(
    linear,
    0 0,
    0 bottom,
    from(@color-patina-green),
    to(@color-dark-green)
  );
  background: -webkit-linear-gradient(@color-patina-green, @color-dark-green);
  background: -moz-linear-gradient(@color-patina-green, @color-dark-green);
  background: -ms-linear-gradient(@color-patina-green, @color-dark-green);
  background: -o-linear-gradient(@color-patina-green, @color-dark-green);
  background: linear-gradient(@color-patina-green, @color-dark-green);
  -pie-background: linear-gradient(@color-patina-green, @color-dark-green);
  behavior: url(/css/PIE.htc);
}

// Deprecated style
.gigadb-arrow-button {
  font-size: 28px !important;
  line-height: 20px !important;
  width: 20px !important;
  height: 25px !important;
  border: 0px;
  filter: alpha(opacity=100);
  -moz-opacity: 1;
  -khtml-opacity: 1;
  opacity: 1;
  text-decoration: none;
  background: #a5cc7e;
  background: -webkit-gradient(
    linear,
    0 0,
    0 bottom,
    from(#a5cc7e),
    to(#6ea23a)
  );
  background: -webkit-linear-gradient(#a5cc7e, #6ea23a);
  background: -moz-linear-gradient(#a5cc7e, #6ea23a);
  background: -ms-linear-gradient(#a5cc7e, #6ea23a);
  background: -o-linear-gradient(#a5cc7e, #6ea23a);
  background: linear-gradient(#a5cc7e, #6ea23a);
  -pie-background: linear-gradient(#a5cc7e, #6ea23a);
  behavior: url(/css/PIE.htc);
  padding-top: 4px !important;
  padding-bottom: 2px !important;
}
.gigadb-arrow-button:hover {
  background: @color-patina-green;
  background: -webkit-gradient(
    linear,
    0 0,
    0 bottom,
    from(@color-patina-green),
    to(@color-dark-green)
  );
  background: -webkit-linear-gradient(@color-patina-green, @color-dark-green);
  background: -moz-linear-gradient(@color-patina-green, @color-dark-green);
  background: -ms-linear-gradient(@color-patina-green, @color-dark-green);
  background: -o-linear-gradient(@color-patina-green, @color-dark-green);
  background: linear-gradient(@color-patina-green, @color-dark-green);
  -pie-background: linear-gradient(@color-patina-green, @color-dark-green);
}

.fixed-btn-left,
.fixed-btn-right {
  width: 60px;
  height: min(60px, fit-content);
  font-size: 60px;
  color: @color-gigadb-green;
  text-align: center;
  position: fixed;
  top: 50%;
  cursor: pointer;
  &:hover {
  color: @color-gigadb-green-800;
  }
}
.fixed-btn-left {
  left: 50%;
  margin-left: -630px;
}
.fixed-btn-right {
  right: 50%;
  margin-right: -630px;
}

.btn_click {
  border: solid 1px @color-gigadb-green;
  color: @color-gigadb-green;
  padding: 4px 6px 3px 6px;
  text-decoration: none;
  background-color: Transparent;
  outline: none;
}

.btn-link {
  background-color: transparent;
  padding: 0;
  text-decoration: underline;
  color: @link-color;
  &:hover {
    color: @link-color-hover;
  }
}

.btn-subtle {
  min-width: 18px;
  background-color: transparent;
  padding-block: 1px;
  padding-inline: 4px;
  font-weight: 800;
  color: @link-color;
  &:hover {
    background-color: @color-medium-gray;
    color: @link-color-hover;
  }
}

.btn-transparent {
  background-color: transparent;
  color: @gigadb-green-on-lighter-gray;
  &:hover {
    color: @link-color-hover;
  }
}

.inactive-btn-o {
  color: @dark-gray-on-white;
  background: @color-true-white;
  border: 1px @dark-gray-on-white solid;
  &:focus {
    color: @dark-gray-on-white;
    outline-offset: 2px;
    outline: solid 2px @dark-gray-on-white;
  }
  &:hover {
    color: @color-true-white;
    background: @dark-gray-on-white;
  }
}

.action-btns {
  display: flex;
  gap: 32px;
}

.submit-btn {
  margin-top: 0 !important;
}
